com.explodingpixels.widgets

## Interface TableUtils.SortDelegate

- Enclosing class:
    TableUtils

      public static interface TableUtils.SortDelegate

  An interface that will be notified when sorting of a `JTable` should occur.
  See Also:
    `TableUtils.makeSortable(javax.swing.JTable, com.explodingpixels.widgets.TableUtils.SortDelegate)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sort(int columnModelIndex, TableUtils.SortDirection sortDirection)` Called when a table should sort its' rows based on the given column.

- - ### Method Detail

    - #### sort

          void sort(int columnModelIndex,
                  TableUtils.SortDirection sortDirection)

      Called when a table should sort its' rows based on the given column.
      Parameters:
        `columnModelIndex` - the column model index to base the sorting on.
        `sortDirection` - the direction to sort the table's rows in.